[
{
    blockid=route;
    help=service_smtp_route_route;
    custom="com.netscape.management.msgserv.ServiceMTARoutingControl";
    localvar={
	/* translate this block */
	.header.text="LDAP \u8def\u7531\u9009\u62e9\u914d\u7f6e";
	.fallback.text="\u5982\u679c\u670d\u52a1\u5668\u65e0\u6cd5\u627e\u5230\u7b26\u5408\u7ed9\u5b9a\u7535\u5b50\u90ae\u4ef6\u5730\u5740\u7684 LDAP \u6761\u76ee\uff0c\u5219\u4f7f\u7528\u6240\u9009\u65b9\u6cd5\u518d\u6b21\u641c\u7d22:";
	.fallback.1.text="\u641c\u7d22\u81ea\u5b9a\u4e49\u57df";
	.fallback.2.text="\u4f7f\u7528\u622a\u65ad\u7684\u57df (\u5982\u679c\u662f\u672c\u5730\uff0c\u5219\u53bb\u6389\u4e3b\u673a\u90e8\u5206) \u8fdb\u884c\u641c\u7d22";
	.fallback.4.text="\u6309\u7528\u6237 ID (uid) \u641c\u7d22";
	.routing.text="SMTP \u90ae\u4ef6\u8def\u7531\u9009\u62e9\u8868:";
    };
    content=[
	{
	    ctrl=label;
	    text=$.header.text;
	    font=["","",16];
	    wrap=$g.label.size5;
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=separator;
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=label;
	    id=routinglabel;
	    text=$.routing.text;
	    wrap=$g.label.size5;
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=table;
	    id=stdtable;
	    stdtable=true;
	    addui=routedialog;
           addtext=$g.addbutton.text;
           edittext=$g.editbutton.text;
           deltext=$g.deletebutton.text;
	    editui=routedialog;
	    val=$service.smtp.smtp-router.hostrewrites.value;
	    label=routinglabel;
	    showedit=true;
	    buttonsat=east;
	    delimiter=" ";
	    visiblerows=5;
	    columns=[
		{
		    header="\u8def\u7531\u9009\u62e9\u8868";
		    varname=routeentry;
		}
	    ]
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=separator;
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=label;
	    id=fallbacklabel;
	    text=$.fallback.text;
	    wrap=$g.label.size5;
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=pane;
	    content=[
		{
		    ctrl=proxy;
		    label=fallbacklabel;
		    val=$service.smtp.smtp-router.fallbacksearchmethod.value;
		},
		{
		    ctrl=rigid;
		    dimension=[12,1];
		},
		{
		    ctrl=pane;
		    layout=[ybox];
		    content=[
			{
			    ctrl=togglepane;
			    id=fallback0;
			    text=$.fallback.1.text;
			    label=fallbacklabel;
			},
			{
			    ctrl=togglepane;
			    id=fallback1;
			    text=$.fallback.2.text;
			    label=fallbacklabel;
			},
			{
			    ctrl=togglepane;
			    id=fallback2;
			    text=$.fallback.4.text;
			    text="\u6309\u7528\u6237 ID (uid) \u641c\u7d22";
			    label=fallbacklabel;
			}
		    ]
		}
	    ]
	},
	{
	    ctrl=vstrut;
	},
	{
	    ctrl=separator;
	},
	{
	    ctrl=vstrut;
	}
    ]
},
{
    blockid=routedialog;
    localvar={
	.route.help="\u8def\u7531\u9009\u62e9\u8868\u6761\u76ee:";
    };
    content=[
	{
	    ctrl=label;
	    id=routelabel;
	    wrap=$g.label.size4;
	    text=$.route.help;
	},
	{
	    ctrl=text;
	    label=routelabel;
	    val=$routeentry;
	}
    ]
}
]
